Name:           gecko-sharp2
Version:        0.13
Release:        13%{?dist}
Summary:        Gecko bindings for Mono

Group:          System Environment/Libraries
License:        MPLv1.1 or LGPLv2+
URL:            http://www.mono-project.com/
Source0:        http://ftp.novell.com/pub/mono/sources/gecko-sharp2/gecko-sharp-2.0-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: 	gecko-sharp-libdir.patch
Patch2: 	gecko-sharp-2.0-0.12-xulrunner.patch

BuildRequires:  gtk-sharp2-devel
BuildRequires:  gtk2-devel
BuildRequires:  mono-devel
BuildRequires:  gtk-sharp2-gapi
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  perl(XML::SAX)
BuildRequires:  gecko-devel
Requires:       gecko-libs

# Mono Not available on these platforms
ExcludeArch: sparc64

%description
This package provides Mono bindings for the Gecko engine, through
an easy-to-use widget that will allow you to embed a Mozilla
browser window into your Gtk# application.

%package devel
Requires: %{name} = %{version}-%{release}
Summary: Files needed for developing with gecko-sharp2
Group: Development/Libraries

%description devel
This package provides the necessary development libraries and headers
for writing gecko-sharp2 applications.

%prep
%setup -n gecko-sharp-2.0-%{version}
%patch1 -p1 -b .libdir
%patch2 -p1 -b .xl

%build
autoreconf --force --install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gecko-sharp-2.0 /gacdir %{_libdir} /root ${RPM_BUILD_ROOT}%{_libdir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_libdir}/mono/gac/gecko-sharp
%{_libdir}/mono/gecko-sharp-2.0

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*-sharp-2.0.pc


%changelog
* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.13-13
- ExcludeArch sparc64

* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.13-12
- Fix upgrade path versioning

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> -0.13-3
- Add ppc64 support

* Mon May 25 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.13-3
- Build arch ppc64.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jun  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.13-1
- update to 2.0-0.13

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.12-7
- Autorebuild for GCC 4.3

* Tue Nov 27 2007 Martin Stransky <stransky@redhat.com> - 0.12-6
- added a new gecko-libs-1.9 entry

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.12-5
- Rebuild for build ID

* Mon Aug 13 2007 Christopher Aillon <caillon@redhat.com> - 0.12-4
- Update the license tag

* Fri Aug 10 2007 Christopher Aillon <caillon@redhat.com> - 0.12-3
- Also add alpha (#251495)

* Fri Jul  6 2007 Christopher Aillon <caillon@redhat.com> - 0.12-2
- Fix requires to be gecko-devel and gecko-libs

* Thu Feb  8 2007 Alexander Larsson <alexl@redhat.com> - 0.12-1
- Update to 0.12

* Sun Sep  3 2006 Christopher Aillon <caillon@redhat.com> - 0.11-12
- Update the pkgconfig file to use the correct LIBDIR (#204254)
- Add -devel sub-package

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.11-11
- Rebuild with new mono libdir

* Tue Aug  1 2006 Jesse Keating <jkeating@redhat.com> - 0.11-10
- and change the requires to reflect building against firefox-devel

* Mon Jul 31 2006 Jesse Keating <jkeating@redhat.com> - 0.11-9
- build against firefox-devel

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.11-8.1
- rebuild

* Sat Jun 24 2006 Jesse Keating <jkeating@redhat.com> 0.11-8
- BuildRequires: mono-devel, gtk-sharp2-gapi
- Diable s390 as well

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 0.11-6
- BuildRequires: gtk2-devel

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 0.11-5
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.11-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.11-4
- Rebuild

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.11-3
- Add s390

* Mon Nov 21 2005 Alexander Larsson <alexl@redhat.com> 0.11-2
- Put pkgconfig file in /usr/share

* Fri Nov 18 2005 Alexander Larsson <alexl@redhat.com> - 0.11-1
- Initial version

